## dpsyco 1.0.10

=== Makefile ===
all: textman

textman:
	helpscripts/manpod2text.sh doc/textman

clean:
	-rm -Rf doc/textman

default:
	dpkg-buildpackage -rfakeroot

=== debian/changelog ===
dpsyco (1.0.10) unstable; urgency=low

  * Added documentation from Machael Boman
    <michael.boman@securecirt.com>, closes: #128120.
  * Fixed purge problem, moved deconfiguring to prerm from postinst,
    closes: #141732.

 -- Ola Lundqvist <opal@debian.org>  Mon,  8 Apr 2002 20:41:30 +0200

dpsyco (1.0.9) unstable; urgency=low

  * Created some scripts to automate dependency information and allow
    for cron-apt update.
  * Fixed error on update, closes: #134894.

 -- Ola Lundqvist <opal@debian.org>  Mon, 11 Mar 2002 23:23:07 +0100

dpsyco (1.0.8) unstable; urgency=low

  * Fixed spelling errors in dpsyco, closes: #124567.
  * Fixed spelling errors in dpsyco-base, closes: #124568.
  * Fixed spelling errors in dpsyco-cfengine, closes: #124569.
  * Fixed spelling errors in dpsyco-devel, closes: #124570.
  * Fixed spelling errors in dpsyco-mysql, closes: #124571.
  * Fixed spelling errors in dpsyco-patch, closes: #124572.
  * Fixed spelling errors in dpsyco-sudo, closes: #124576.
  * Fixed spelling errors in dpsyco-samba, closes: #124573.
  * Fixed spelling errors in dpsyco-skel, closes: #124574.
  * Moved two chmod lines to the correct package, closes: #125652.
 -- Ola Lundqvist <opal@debian.org>  Thu, 20 Dec 2001 15:56:29 +0100

dpsyco (1.0.7) unstable; urgency=low

  * Made dpsyco-ssh ssh2 aware, using a simple symlink.
  * Fixed sudo dependency in dpsyco-ssh, closes: #122369.
  * Fixed problem with the sudo file. Now it backs up the sudo
    file, closes: #121194, #121197.
  * Fixed a ssh generation problem, closes: #112896.
  * Fixed a uninstallation problem, closes: #121196.
  * Added a test-nfs option.

 -- Ola Lundqvist <opal@debian.org>  Fri, 07 Dec 2001 15:05:59 +0100

dpsyco (1.0.6) unstable; urgency=low

  * Fixed bug in dpsyco-sudo, closes: #119291.
  * Think the cat bug should habe been fixed by now, closes: #114456.
  * Made the build dep arch independent.

 -- Ola Lundqvist <opal@debian.org>  Mon, 13 Nov 2001 23:21:51 +0100

dpsyco (1.0.5) unstable; urgency=low

  * Fixed conflict problem.
  * Fixed postinst error.
  * Removes the /etc/dpsyco/adduser.conf only on purge.

 -- Ola Lundqvist <opal@debian.org>  Wed, 10 Oct 2001 21:40:49 +0200

dpsyco (1.0.4) unstable; urgency=low

  * Fixed prerm bug when removing.
  * Implemented the UID/GID change possibility mentioned in the README file.
  * Moved the postinst scripts to dpsyco-lib instead because the
    adduser.conf is needed by everything.
  * Wrote some manual pages.
  * Fixed bug in dpsyco-delhome so that it is not doing the same time
    as dpsyco-restorehome.
  * Updated the control file so that packages only depend on dpsyco-lib
    and not on dpsyco-base. This makes things more flexible.

 -- Ola Lundqvist <opal@debian.org>  Tue,  9 Oct 2001 15:26:04 +0200

dpsyco (1.0.3) unstable; urgency=low

  * Fixed installation problem, closes: #114183.

 -- Ola Lundqvist <opal@debian.org>  Tue,  2 Oct 2001 12:01:00 +0200

dpsyco (1.0.2) unstable; urgency=low

  * Added suggestion of jablicator and dpkg-repack.
  * Removed -depth from the find line in dpsch-cvsclean so that it works
    in potato too.
  * Fixed group problem.
  * Fixed el recommendation, now suggests.
  * Fixed weblink www.opal not debian.opal.
  * Fixed so that the sudo script will be runned on update,
    closes: #113561.
  * Fixed cfengine run problem.
  * Updates the samba UID automaticly from passwd.
  * Fixed bug in samba update. Users was not removed correctly.
  * Now removes the user profile in the same way as the user home directory
    is removed.
  * Moved defaults.conf to the lib package so that packages only need
    to depend on dpsyco-lib to work properly.
  * Sudo run problem fixed.

 -- Ola Lundqvist <opal@debian.org>  Thu, 27 Sep 2001 16:37:48 +0200

dpsyco (1.0.1) unstable; urgency=low

  * Updated the description, closes: #112106.
  * Fixed the example rules file so that it uses installuserskel and
    installuserpatch too, missed that before.
  * Fixed missing dependency on dpsyco-base for dpsyco-devel.
  * Fixed permission problems with dpsyco-devel.
  * Fixed permission problems, minor security fix.

 -- Ola Lundqvist <opal@debian.org>  Thu, 13 Sep 2001 15:01:45 +0200

dpsyco (1.0.0) unstable; urgency=low

  * Broke down the base package to several sub-packages and renamed the
    project to dpsyco which is an acronym for Debian Packages of
    System Configurations.
  * Changed the license to GPL.
  * Added some administration scripts for mysql administration.
  * Written all the manual pages. They will be updated later.
  * Extracted the patch code from the skel code.
  * Did a lot of testing, and corrected some of the scripts.
  * Implemented a improved version of the skel handling. It will now
    remove itself in a clean way.
  * Did the same for the patch code.
  * Initial official debian release, closes: #110877.
  * Wrote the helper scripts that installs the information to the
    configuration packages.

 -- Ola Lundqvist <opal@debian.org>  Sat,  1 Sep 2001 17:11:02 +0200

base (0.1.9) unstable testing stable; urgency=low

  * Fixed so that update-twinspot are really runned.

 -- Ola Lundqvist <ola.lundqvist@euronetics.se>  Fri, 24 Aug 2001 17:20:47 +0200

base (0.1.8) unstable testing stable; urgency=low

  * Installs xfree86-common too to make x-tunnelling work.

 -- Ola Lundqvist <ola.lundqvist@euronetics.se>  Mon, 20 Aug 2001 17:25:11 +0200

base (0.1.7) unstable testing stable; urgency=low

  * Implemented user restore operations. TODO src/update-twinspot-users
  * Fixed changeowner of samba profile users.
  * Now the update-twinspot script will be runned after every apt upgrade
    or dselect install operation. No need to run it in every subpackage.
  * Fixed problem with non-existing userskel source dir.

 -- Ola Lundqvist <ola.lundqvist@euronetics.se>  Mon, 20 Aug 2001 10:41:14 +0200

base (0.1.6) unstable testing stable; urgency=low

  * Fixed EMAIL setting in users-skel script.



=== debian/control ===
Source: dpsyco
Section: admin
Priority: extra
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), perl-doc
Standards-Version: 3.5.2

Package: dpsyco
Architecture: all
Depends: dpsyco-base, dpsyco-lib (>= 1.0.9), adduser
Recommends: dpsyco-skel, dpsyco-patch, dpsyco-sudo
Suggests: dpsyco-devel, dpsyco-doc, dpsyco-ssh, dpsyco-mysql, debarchiver
Description: Debian packages of system configurations.
 Dpsyco introduces the concept of configuration packages. It is a special
 form of debian packages that is applied on top of the original debian
 packages. With this you can add users, groups, apply a file skeleton,
 patch things and more. Observe! No such configuration packages should be
 uploaded to the debian archives. This kind of things are intended to be
 created and used by the system administrator only.
 .
 For more information see http://www.opal.dhs.org/programs/dpsyco/.
 .
 This tool is very useful if you have a lot of servers on which you want
 to have similar configuration (but not identical). If you only have one
 server (or client) this is probably not useful at all.
 .
 WARNING! Users with UID and GID between 500 and 999 will be automatically
 administrated by this tool. This means that if you do not have a admin
 package that set up users these users WILL BE REMOVED.
 Groups with GID between 300 and 499 will be handled in the same way.
 YOU HAVE BEEN WARNED!

Package: dpsyco-base
Architecture: all
Depends: dpsyco-lib (>= 1.0.9)
Conflicts: dpsyco-lib (<< 1.0.9)
Description: Base package for psyco.
 The base package for dpsyco. It makes it possible to create users and
 groups. It also contains some basic configuration files.
 .
 WARNING! Users with UID and GID between 500 and 999 will be automatically
 administrated by this tool. This means that if you do not have a admin
 package that set up users these users WILL BE REMOVED.
 Groups with GID between 300 and 499 will be handled in the same way.
 YOU HAVE BEEN WARNED!

Package: dpsyco-lib
Architecture: all
Depends: rsync
Conflicts: dpsyco-base (<< 1.0.5)
Suggests: patch
Description: Libraries for the debian packages of system configurations.
 It contains a couple of shell functions and other useful tools to
 make all dpsyco utils work as it should.

Package: dpsyco-doc
Architecture: all
Depends: 
Description: Documentation for dpsyco.
 This includes most of the documentation you will need for dpsyco.
 Right now there are none but it should be quite a lot in a week or
 two.

Package: dpsyco-skel
Architecture: all
Depends: dpsyco-lib (>= 1.0.9), rsync
Description: Automatically install a add-on skeleton.
 Makes it possible to create a package that updates the system
 with the skel installed to /usr/share/dpsyco/skel.
 .
 This makes it possible to overwrite files (on top of) the ordinary
 debian file system. When the file is removed from this skeleton
 the original file will also be restored. If there were no original
 file it will be removed.

Package: dpsyco-patch
Architecture: all
Depends: dpsyco-lib (>= 1.0.9), patch
Suggests: dpsyco-skel
Description: Automatically patch the debian file-system.
 Makes it possible to apply patches to the debian file system.
 It can be useful when a lot of configuration packages want to
 make changes to the same file. But be aware of that you can cause
 conflicts if you make changes on two different packages.

Package: dpsyco-devel
Architecture: all
Depends: dpsyco-lib (>= 1.0.9), dpkg-dev, patch, make
Suggests: debian-policy, dpkg-repack, dpkg-doc, jablicator, dpkg-dev-el
Description: Tools to create configuration packages.
 Tools to create the configuration packages. These tools are
 similar to the debhelper tools and should be used quite like
 them, but they lack some options.

Package: dpsyco-sudo
Architecture: all
Depends: dpsyco-lib (>= 1.0.9), sudo
Description: Automate administration of sudo privileges.
 This package contains a tool to automatically give some users
 sudo privileges.
 .
 WARNING! This tool will automatically administrate all sudo permissions
 so if you do not have a admin package installed that give users
 sudo privileges they will no longer be able to use sudo.
 YOU HAVE BEEN WARNED!

Package: dpsyco-ssh
Architecture: all
Depends: dpsyco-lib (>= 1.0.9), ssh, sudo
Suggests: xfree86-common, xbase-clients
Description: Automate administration of access via ssh.
 This package contains a tool to automatically give some users
 access via ssh.
 .
 WARNING! Users with UID < 999 will have its ssh access administrated
 automatically which means that the authorized_keys file will be
 removed if there is no admin package installed that gives the user
 ssh access. YOU HAVE BEEN WARNED!

Package: dpsyco-mysql
Architecture: all
Depends: dpsyco-lib(>= 1.0.9), mysql-client
Description: Automate administration of access to mysql.
 This package contains a tool to automatically give some
 users or hosts access to a mysql database.

Package: dpsyco-samba
Architecture: all
Depends: dpsyco-lib (>= 1.0.9), samba-common
Recommends: samba
Suggests: smbclient
Description: Automate administration of access to samba.
 This package contains a tool to automatically give some
 users or hosts access to a samba server. It is not that
 easy to administrate yet, but that should change soon.
 .
 WARNING! Samba users with UID between 500 and 999 will be automatically
 administrated by this tool. This means that if you do not have a admin
 package that set up users correctly, these users WILL BE REMOVED and
 the user will not be able to log in again. YOU HAVE BEEN WARNED!

Package: dpsyco-cfengine
Architecture: all
Depends: dpsyco-lib (>= 1.0.9), cfengine
Description: Automate applying of cfengine configs.
 This package contains a tool to automatically apply cfengine
 configurations to the system.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

export DEST=$(CURDIR)/debian/dpsyco
export DESTBASE=$(CURDIR)/debian/dpsyco-base
export DESTLIB=$(CURDIR)/debian/dpsyco-lib
export DESTDEVEL=$(CURDIR)/debian/dpsyco-devel
export DESTSKEL=$(CURDIR)/debian/dpsyco-skel
export DESTSUDO=$(CURDIR)/debian/dpsyco-sudo
export DESTPATCH=$(CURDIR)/debian/dpsyco-patch
export DESTSSH=$(CURDIR)/debian/dpsyco-ssh
export DESTDOC=$(CURDIR)/debian/dpsyco-doc
export DESTMYSQL=$(CURDIR)/debian/dpsyco-mysql
export DESTSAMBA=$(CURDIR)/debian/dpsyco-samba
export DESTCFENGINE=$(CURDIR)/debian/dpsyco-cfengine

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into dpsyco.
	# None, meta package.
	#export DEST=$(CURDIR)/debian/dpsyco

	# Add here commands to install the package into dpsyco-base.
	#export DESTBASE=$(CURDIR)/debian/dpsyco-base
	./install $(DESTBASE) base
	ln -s /usr/sbin/update-dpsyco-users $(DESTBASE)/etc/dpsyco/cmd/R05users
	ln -s /usr/sbin/update-dpsyco-groups $(DESTBASE)/etc/dpsyco/cmd/R15groups
	ln -s /usr/sbin/update-dpsyco-users-shell $(DESTBASE)/etc/dpsyco/cmd/R15users-shell
	cp -f debian/apt.conf $(DESTBASE)/etc/apt/apt.conf.d/90dpsyco

	# Add here commands to install the package into dpsyco-lib.
	#export DESTLIB=$(CURDIR)/debian/dpsyco-lib
	./install $(DESTLIB) lib

	# Add here commands to install the package into dpsyco-devel.
	#export DESTDEVEL=$(CURDIR)/debian/dpsyco-devel
	./install $(DESTDEVEL) devel
	cp -aRf devel/example/* $(DESTDEVEL)/usr/share/dpsyco-devel/genpkg/example
	# install examples to usr/share/dpsyco-devel/genpkg/debian

	# Add here commands to install the package into dpsyco-skel.
	#export DESTSKEL=$(CURDIR)/debian/dpsyco-skel
	./install $(DESTSKEL) skel
	ln -s /usr/sbin/update-dpsyco-skel $(DESTSKEL)/etc/dpsyco/cmd/R20skel
	ln -s /usr/sbin/update-dpsyco-users-skel $(DESTSKEL)/etc/dpsyco/cmd/R22users-skel

	# Add here commands to install the package into dpsyco-sudo.
	#export DESTSUDO=$(CURDIR)/debian/dpsyco-sudo
	./install $(DESTSUDO) sudo
	ln -s /usr/sbin/update-dpsyco-users-sudoers $(DESTSUDO)/etc/dpsyco/cmd/R10users-sudoers

	# Add here commands to install the package into dpsyco-patch.
	#export DESTPATCH=$(CURDIR)/debian/dpsyco-patch
	./install $(DESTPATCH) patch
	ln -s /usr/sbin/update-dpsyco-patch $(DESTPATCH)/etc/dpsyco/cmd/R45patch
	ln -s /usr/sbin/update-dpsyco-users-patch $(DESTPATCH)/etc/dpsyco/cmd/R45users-patch

	# Add here commands to install the package into dpsyco-ssh.
	#export DESTSSH=$(CURDIR)/debian/dpsyco-ssh
	./install $(DESTSSH) ssh
	ln -s /usr/sbin/update-dpsyco-users-sshaccess $(DESTSSH)/etc/dpsyco/cmd/R30users-sshaccess

	# Add here commands to install the package into dpsyco-doc.
	#export DESTDOC=$(CURDIR)/debian/dpsyco-doc
	# Add here commands to install the package into dpsyco-mysql.
	#export DESTMYSQL=$(CURDIR)/debian/dpsyco-mysql
	./install $(DESTMYSQL) mysql

	#ln -s /usr/sbin/update-dpsyco-... $(DESTBASE)/etc/dpsyco/cmd/R20skel
	# Add here commands to install the package into dpsyco-samba.
	#export DESTSAMBA=$(CURDIR)/debian/dpsyco-samba
	./install $(DESTSAMBA) samba
	ln -s /usr/sbin/update-dpsyco-users-samba $(DESTSAMBA)/etc/dpsyco/cmd/R30samba
	# Add here commands to install the package into dpsyco-cfengine.
	#export DESTCFENGINE=$(CURDIR)/debian/dpsyco-cfengine
	./install $(DESTCFENGINE) cfengine
	ln -s /usr/sbin/update-dpsyco-cfengine $(DESTCFENGINE)/etc/dpsyco/cmd/R50cfengine

	# Remove all CVS information.
	devel/src/dpsch-cvsclean
	devel/src/dpsch-backupclean

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_perl -i
#	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install configure

=== devel/example/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/%PACKAGE%.
	dpsch-installskel
	dpsch-installpatch
	dpsch-installusers
	dpsch-installuserskel
	dpsch-installuserpatch
	dpsch-installgroups
	dpsch-installcfengine
#	dpsch-auto-cronapt
	dpsch-installcronapt

	dpsch-cvsclean
	dpsch-backupclean

binary-arch:

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
#	dh_installchangelogs -i
	dh_link -i
#	dh_strip -i
	dh_compress -i
#	dh_fixperms -i
	dpsch-gendepends
#	dh_makeshlibs -i
	dh_installdeb -i
	dh_perl -i
#	dh_shlibdeps -i
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dpsyco 1.0.23

=== debian/changelog ===
dpsyco (1.0.23) unstable; urgency=low

  * Fixed problem with dpsyco-patch command. It do not apply patches for
    files that exist in skel when skel has ben run.
  * Updated standards version from 3.5.8 to 3.5.10.

 -- Ola Lundqvist <opal@debian.org>  Wed, 17 Sep 2003 14:29:03 +0200

dpsyco (1.0.22) unstable; urgency=low

  * Added a check for multiple account information in update-dpsyco-
    users.

 -- Ola Lundqvist <opal@debian.org>  Fri, 29 Aug 2003 08:28:16 +0200

dpsyco (1.0.21) unstable; urgency=low

  * Added lintian override, closes: #204959.
  * Applied patch from Otavio Salvador <otavio@debian.org>, that makes
    patches be upgradeable (without the need of skel).
  * Fixed dpsch-installpatch, closes: #204268.
  * Fixed dpsch-auto-cronapt manpage, closes: #204255.

 -- Ola Lundqvist <opal@debian.org>  Tue, 12 Aug 2003 07:28:26 +0200

dpsyco (1.0.20) unstable; urgency=low

  * dpsch-genpkg uses getent passwd instead of grepping directly in
    /etc/passwd.

 -- Ola Lundqvist <opal@debian.org>  Mon, 12 May 2003 21:31:26 +0200

dpsyco (1.0.19) unstable; urgency=low

  * Fixed patch issues, so now you can patch files in skel too,
    closes: #190575.
  * Output changed (minor) from dpsyco-skel.

 -- Ola Lundqvist <opal@debian.org>  Wed,  7 May 2003 09:54:09 +0200

dpsyco (1.0.18) unstable; urgency=low

  * No longer modifies apt.conf on installation.

 -- Ola Lundqvist <opal@debian.org>  Tue, 22 Apr 2003 08:22:38 +0200

dpsyco (1.0.17) unstable; urgency=low

  * Fixed one more read -e bashism.

 -- Ola Lundqvist <opal@debian.org>  Fri,  4 Apr 2003 07:55:26 +0200

dpsyco (1.0.16) unstable; urgency=low

  * Removed option -e to read that is a bashism.

 -- Ola Lundqvist <opal@debian.org>  Thu,  3 Apr 2003 08:24:17 +0200

dpsyco (1.0.15) unstable; urgency=low

  * Heavily modified and improved dpsyco-skel version, closes: #144952.
  * Versioned dependency on ssh, closes: #179577.
  * Removed debian/*.conffiles because they create duplicated
    configuration files on build.

 -- Ola Lundqvist <opal@debian.org>  Wed,  5 Feb 2003 19:36:10 +0100

dpsyco (1.0.14) unstable; urgency=low

  * Skel handling improved becuase it now makes backup of all modified
    files and not just once. This is an alternative solution to
    144952, so it closes: #144952.
  * Updated to standards version 3.5.8 (from 3.5.2).
  * Made sure that all man pages are properly generated
  * Removed full stop from all descriptions.

 -- Ola Lundqvist <opal@debian.org>  Thu, 26 Dec 2002 00:14:44 +0100

dpsyco (1.0.13) unstable; urgency=low

  * Added dependency on adduser for dpsyco-lib, closes: #169826.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Nov 2002 10:00:24 +0100

dpsyco (1.0.12) unstable; urgency=low

  * Applied patch from Tomas Fasth for dpsh-auto-cronapt. Now builds
    with other umask.
  * Fixed so that dsa keys are generated in addition to rsa1 keys.
  * Added logcheck lines to make updates a bit less verbose in logcheck,
    closes: #146141.
  * Fixed dpsh-gendepends so it generates dependencies on dpsyco-ssh
    correctly.

 -- Ola Lundqvist <opal@debian.org>  Fri,  5 Jul 2002 14:37:33 +0200

dpsyco (1.0.11) unstable testing; urgency=low

  * Fixed a minor bug in dpsch-installcronapt.
  * Fixing with cronapt so it will be prefixed by a number.
  * Updated gendepend versions.

 -- Ola Lundqvist <opal@debian.org>  Mon, 15 Apr 2002 16:35:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0), perl-doc
-Standards-Version: 3.5.2
+Standards-Version: 3.5.10
 
 Package: dpsyco
 Architecture: all
-Depends: dpsyco-base, dpsyco-lib (>= 1.0.9), adduser
+Depends: dpsyco-base, dpsyco-lib (>= 1.0.21), adduser
 Recommends: dpsyco-skel, dpsyco-patch, dpsyco-sudo
 Suggests: dpsyco-devel, dpsyco-doc, dpsyco-ssh, dpsyco-mysql, debarchiver
-Description: Debian packages of system configurations.
+Description: Debian packages of system configurations
  Dpsyco introduces the concept of configuration packages. It is a special
  form of debian packages that is applied on top of the original debian
  packages. With this you can add users, groups, apply a file skeleton,
@@ -34,7 +34,7 @@
 Architecture: all
 Depends: dpsyco-lib (>= 1.0.9)
 Conflicts: dpsyco-lib (<< 1.0.9)
-Description: Base package for psyco.
+Description: Base package for the debian packages of system configurations
  The base package for dpsyco. It makes it possible to create users and
  groups. It also contains some basic configuration files.
  .
@@ -46,17 +46,18 @@
 
 Package: dpsyco-lib
 Architecture: all
-Depends: rsync
-Conflicts: dpsyco-base (<< 1.0.5)
+Depends: rsync, adduser
+Conflicts: dpsyco-base (<< 1.0.5), dpsyco-patch (<< 1.0.21)
 Suggests: patch
-Description: Libraries for the debian packages of system configurations.
+Description: Libraries for the debian packages of system configurations
  It contains a couple of shell functions and other useful tools to
  make all dpsyco utils work as it should.
 
 Package: dpsyco-doc
 Architecture: all
+Section: doc
 Depends: 
-Description: Documentation for dpsyco.
+Description: Documentation for the debian packages of system configurations
  This includes most of the documentation you will need for dpsyco.
  Right now there are none but it should be quite a lot in a week or
  two.
@@ -64,7 +65,7 @@
 Package: dpsyco-skel
 Architecture: all
 Depends: dpsyco-lib (>= 1.0.9), rsync
-Description: Automatically install a add-on skeleton.
+Description: Automatically install a add-on skeleton
  Makes it possible to create a package that updates the system
  with the skel installed to /usr/share/dpsyco/skel.
  .
@@ -72,12 +73,15 @@
  debian file system. When the file is removed from this skeleton
  the original file will also be restored. If there were no original
  file it will be removed.
+ .
+ You can also use Replaces in the control field of a package to make
+ similar functionality of this package.
 
 Package: dpsyco-patch
 Architecture: all
-Depends: dpsyco-lib (>= 1.0.9), patch
+Depends: dpsyco-lib (>= 1.0.23), patch
 Suggests: dpsyco-skel
-Description: Automatically patch the debian file-system.
+Description: Automatically patch the debian file-system
  Makes it possible to apply patches to the debian file system.
  It can be useful when a lot of configuration packages want to
  make changes to the same file. But be aware of that you can cause
@@ -87,7 +91,7 @@
 Architecture: all
 Depends: dpsyco-lib (>= 1.0.9), dpkg-dev, patch, make
 Suggests: debian-policy, dpkg-repack, dpkg-doc, jablicator, dpkg-dev-el
-Description: Tools to create configuration packages.
+Description: Tools to create configuration packages
  Tools to create the configuration packages. These tools are
  similar to the debhelper tools and should be used quite like
  them, but they lack some options.
@@ -95,7 +99,7 @@
 Package: dpsyco-sudo
 Architecture: all
 Depends: dpsyco-lib (>= 1.0.9), sudo
-Description: Automate administration of sudo privileges.
+Description: Automate administration of sudo privileges
  This package contains a tool to automatically give some users
  sudo privileges.
  .
@@ -106,9 +110,9 @@
 
 Package: dpsyco-ssh
 Architecture: all
-Depends: dpsyco-lib (>= 1.0.9), ssh, sudo
+Depends: dpsyco-lib (>= 1.0.9), ssh (>> 3.4p1), sudo
 Suggests: xfree86-common, xbase-clients
-Description: Automate administration of access via ssh.
+Description: Automate administration of access via ssh
  This package contains a tool to automatically give some users
  access via ssh.
  .
@@ -120,16 +124,18 @@
 Package: dpsyco-mysql
 Architecture: all
 Depends: dpsyco-lib(>= 1.0.9), mysql-client
-Description: Automate administration of access to mysql.
+Description: Automate administration of access to mysql
  This package contains a tool to automatically give some
  users or hosts access to a mysql database.
+ .
+ This package is not fully functional though.
 
 Package: dpsyco-samba
 Architecture: all
 Depends: dpsyco-lib (>= 1.0.9), samba-common
 Recommends: samba
 Suggests: smbclient
-Description: Automate administration of access to samba.
+Description: Automate administration of access to samba
  This package contains a tool to automatically give some
  users or hosts access to a samba server. It is not that
  easy to administrate yet, but that should change soon.
@@ -142,6 +148,6 @@
 Package: dpsyco-cfengine
 Architecture: all
 Depends: dpsyco-lib (>= 1.0.9), cfengine
-Description: Automate applying of cfengine configs.
+Description: Automate applying of cfengine configs
  This package contains a tool to automatically apply cfengine
  configurations to the system.

## dpsyco 1.0.26

=== debian/changelog ===
dpsyco (1.0.26) unstable; urgency=high

  * Fixed some email references, that point to depricated email address.

 -- Ola Lundqvist <opal@debian.org>  Mon, 30 Aug 2004 11:45:08 +0200

dpsyco (1.0.25) unstable; urgency=medium

  * Updated spelling on some different files. Thanks to Guy Atkinson
    <ga2.nospam@phonecoop.coop> for the patches.
  * Fixed visibility issue when dpsyco add or delete users. Thanks (again) to
    Guy Atkinson for the patches.
  * FAQ update. Thanks (again) to Guy Atkinson for the patch.
  * Added correct GPL statements so it correctly released.
    Also added a COPYING files as I should have done from the beginning.
  
 -- Ola Lundqvist <opal@debian.org>  Sun, 29 Aug 2004 17:50:00 +0200

dpsyco (1.0.24) unstable; urgency=low

  * Removed dpsyco-doc package that is empty, closes: #196195.
  * Converted changelog to UTF-8.
  * Removed emacs variable in the bottom of this changelog.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Thu, 12 Aug 2004 08:45:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0), perl-doc
-Standards-Version: 3.5.10
+Standards-Version: 3.6.1
 
 Package: dpsyco
 Architecture: all
 Depends: dpsyco-base, dpsyco-lib (>= 1.0.21), adduser
 Recommends: dpsyco-skel, dpsyco-patch, dpsyco-sudo
-Suggests: dpsyco-devel, dpsyco-doc, dpsyco-ssh, dpsyco-mysql, debarchiver
+Suggests: dpsyco-devel, dpsyco-ssh, dpsyco-mysql, debarchiver
 Description: Debian packages of system configurations
  Dpsyco introduces the concept of configuration packages. It is a special
  form of debian packages that is applied on top of the original debian
@@ -52,15 +52,6 @@
 Description: Libraries for the debian packages of system configurations
  It contains a couple of shell functions and other useful tools to
  make all dpsyco utils work as it should.
-
-Package: dpsyco-doc
-Architecture: all
-Section: doc
-Depends: 
-Description: Documentation for the debian packages of system configurations
- This includes most of the documentation you will need for dpsyco.
- Right now there are none but it should be quite a lot in a week or
- two.
 
 Package: dpsyco-skel
 Architecture: all

## dpsyco 1.0.29

=== debian/changelog ===
dpsyco (1.0.29) unstable; urgency=low

  * Fixed so that dpsyco work better with nis, closes: #273587.

 -- Ola Lundqvist <opal@debian.org>  Sun, 17 Apr 2005 20:22:53 +0200

dpsyco (1.0.28) unstable; urgency=low

  * Fixed a minor bug in dpsyco-lib.postrm.

 -- Ola Lundqvist <opal@debian.org>  Sun, 12 Dec 2004 17:03:50 +0100

dpsyco (1.0.27) unstable; urgency=low

  * Changed code so there is no longer any dependency on sudo for ssh
    access generation.

 -- Ola Lundqvist <opal@debian.org>  Wed, 15 Sep 2004 09:50:23 +0200

=== debian/control ===
--- 
+++ 
@@ -101,7 +101,7 @@
 
 Package: dpsyco-ssh
 Architecture: all
-Depends: dpsyco-lib (>= 1.0.9), ssh (>> 3.4p1), sudo
+Depends: dpsyco-lib (>= 1.0.9), ssh (>> 3.4p1)
 Suggests: xfree86-common, xbase-clients
 Description: Automate administration of access via ssh
  This package contains a tool to automatically give some users

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,10 @@
 	# Add here commands to install the package into dpsyco-base.
 	#export DESTBASE=$(CURDIR)/debian/dpsyco-base
 	./install $(DESTBASE) base
+	mkdir -p $(DESTBASE)/etc/logcheck/ignore.d.server
+	cp base/logcheck/server $(DESTBASE)/etc/logcheck/ignore.d.server/dpsyco-base
+	mkdir -p $(DESTBASE)/etc/logcheck/ignore.d.workstation
+	cp base/logcheck/workstation $(DESTBASE)/etc/logcheck/ignore.d.workstation/dpsyco-base
 	ln -s /usr/sbin/update-dpsyco-users $(DESTBASE)/etc/dpsyco/cmd/R05users
 	ln -s /usr/sbin/update-dpsyco-groups $(DESTBASE)/etc/dpsyco/cmd/R15groups
 	ln -s /usr/sbin/update-dpsyco-users-shell $(DESTBASE)/etc/dpsyco/cmd/R15users-shell
@@ -73,6 +77,8 @@
 	#export DESTDEVEL=$(CURDIR)/debian/dpsyco-devel
 	./install $(DESTDEVEL) devel
 	cp -aRf devel/example/* $(DESTDEVEL)/usr/share/dpsyco-devel/genpkg/example
+	mkdir -p $(DESTDEVEL)/usr/share/lintian/overrides
+	install -m644 debian/dpsyco-devel.lintian-override $(DESTDEVEL)/usr/share/lintian/overrides/dpsyco-devel
 	# install examples to usr/share/dpsyco-devel/genpkg/debian
 
 	# Add here commands to install the package into dpsyco-skel.

## dpsyco 1.0.32

=== debian/changelog ===
dpsyco (1.0.32) unstable; urgency=low

  * Changed dependency on cfengine to cfengine2, closes: #383407.

 -- Ola Lundqvist <opal@debian.org>  Tue, 26 Sep 2006 07:48:48 +0200

dpsyco (1.0.31) unstable; urgency=low

  * Applied simple patch from Free Ekanayaka <freee@debian.org> to
    correct an issue with blankspace in files, closes: #368836.
  * Updated FSF address of a number of files.
  * Added an empty binary-arch target in debian/rules file.

 -- Ola Lundqvist <opal@debian.org>  Wed, 19 Jul 2006 20:04:43 +0200

dpsyco (1.0.30) unstable; urgency=low

  * Corrected wrong character issue in manpage.
  * Corrected so that debhelper is now build depends instead of build
    depends indep.
  * Updated to debhelper 4 compatibility.
  * Updated to standards version 3.7.2.
  * Updated to new FSF address.

 -- Ola Lundqvist <opal@debian.org>  Thu,  6 Jul 2006 00:41:38 +0200

## dpsyco 1.0.33

=== debian/changelog ===
dpsyco (1.0.33) unstable; urgency=medium

  * Applied patch from Tomas Fasth <tomfa@debian.org> that disables a
    warning about sync user, closes: #413026.

 -- Ola Lundqvist <opal@debian.org>  Fri,  2 Mar 2007 05:23:35 +0100

## dpsyco 1.0.34

=== debian/changelog ===
dpsyco (1.0.34) unstable; urgency=low

  * Correction of a typo and check for // in the beginning of a path,
    instead of just for /, closes: #415550.

 -- Ola Lundqvist <opal@debian.org>  Wed, 21 Mar 2007 10:31:29 +0100

## dpsyco 1.0.35

=== debian/changelog ===
dpsyco (1.0.35) unstable; urgency=low

  * Applied patch from Mert Dirik <mertdirik@gmail.com> to correct the
    bashisms in the package, closes: #464642.
  * Now force purge of /etc/dpsyco/sudoers on purge of package,
    closes: #454392, #330786.

 -- Ola Lundqvist <opal@debian.org>  Mon,  7 Apr 2008 22:03:48 +0200

## dpsyco 1.0.36

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 clean:
 	-rm -Rf doc/textman
+	find . -type f -name "*.1" | xargs rm -f
 
 default:
 	dpkg-buildpackage -rfakeroot

=== debian/changelog ===
dpsyco (1.0.36) unstable; urgency=low

  * Corrected problem in dpsch-installcfengine. Closes: #494197. Thanks
    to Eric Gerlach <egerlach@feds.uwaterloo.ca> for the patch.
  * Documented copyright more thoughout for contributors.

 -- Ola Lundqvist <opal@debian.org>  Fri,  8 Aug 2008 18:18:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: extra
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), perl-doc
-Standards-Version: 3.6.1
+Build-Depends-Indep: perl-doc
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: dpsyco
 Architecture: all
@@ -138,7 +139,7 @@
 
 Package: dpsyco-cfengine
 Architecture: all
-Depends: dpsyco-lib (>= 1.0.9), cfengine
+Depends: dpsyco-lib (>= 1.0.9), cfengine2
 Description: Automate applying of cfengine configs
  This package contains a tool to automatically apply cfengine
  configurations to the system.

=== devel/example/debian/control ===
Source: %PACKAGE%
Section: admin
Priority: optional
Maintainer: %ADMIN% <%EMAIL%>
Build-Depends: debhelper (>> 3.0.0), dpsyco-devel
Standards-Version: 3.5.2

Package: %PACKAGE%
Architecture: all
Depends: ${dpsyco:Depends}
Description: Configuration package for %PACKAGE%.
 With this package you will simplify administration of %PACKAGE%.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 export DEST=$(CURDIR)/debian/dpsyco
 export DESTBASE=$(CURDIR)/debian/dpsyco-base
@@ -123,6 +123,8 @@
 	devel/src/dpsch-cvsclean
 	devel/src/dpsch-backupclean
 
+binary-arch:
+
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir -i

=== devel/example/debian/rules ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	dpsch-installuserpatch
 	dpsch-installgroups
 	dpsch-installcfengine
-#	dpsch-auto-cronapt
 	dpsch-installcronapt
 
 	dpsch-cvsclean
@@ -74,6 +73,7 @@
 #	dh_strip -i
 	dh_compress -i
 #	dh_fixperms -i
+#	dpsch-auto-cronapt
 	dpsch-gendepends
 #	dh_makeshlibs -i
 	dh_installdeb -i

## dpsyco 1.0.36b1

=== debian/changelog ===
dpsyco (1.0.36b1) staging; urgency=medium

  * No-change rebuild for harden-doc

 -- Thomas Funk <t.funk@web.de>  Sun, 12 Oct 2014 02:46:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpsyco
 Section: admin
 Priority: extra
-Maintainer: Ola Lundqvist <opal@debian.org>
+Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
 Build-Depends-Indep: perl-doc
 Build-Depends: debhelper (>> 4.0.0)
 Standards-Version: 3.7.2
